Subject: Re: bug#43470: 27.1; Drag and Drop not working properly in 27.1 on OSX

From: Alan Third <[email-masked]>
Date: Thu, 17 Sep 2020 18:46:40 +0100

On Thu, Sep 17, 2020 at 01:27:38PM +0000, Paul Magwene, Ph.D. wrote:
> 
> 
> * Drag and drop events no longer appear to work properly in Emacs 27.1 on
> Mac OS X.
> 
> * When I run Emacs from the command line I see the message: `Invalid data
> type in dragging pasteboard` when trying to drag text or URLs from a webbrowser
> (firefox or safari) into an Emacs buffer.
> 
> * I've tested this with two different builds of 27.1 -- from
> https://emacsformacosx.com and the "emacs plus" formula under homebrew
> (https://github.com/d12frosted/homebrew-emacs-plus) on both OS X 10.14.6
> (Mavericks) and 10.15.6 (Catalina)
> 
> * Reverting to Emacs 26.3 resolves this issue

Confirmed.

Annoyingly I could've sworn this worked just a few months ago. I
wonder if Apple have changed something in their libraries to
completely deprecate the old methods.

Anyway, It'll need to be almost completely rewritten (again!).
-- 
Alan Third